Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002959 [JEDI VCL] 00 JVCL Components minor always 2005-05-17 01:32 2006-04-05 01:19
Reporter khoffrath View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0002959: TJvgStringGrid columns not aligned under TJvgGridHeaderControl
Description When calculating the column widths of the grid, the procedure TJvgGridHeaderControl.ResizeColumns assumes that the property 'GridLineWidth' of the assigned grid is 1.

If it is > 1, the columns doesn't align under the sections.

To fix it change:

        if EqualSize then
          G.ColWidths[Col + I] := Trunc((ColsToJoinWidth / ColsToJoin /
            ColsToJoinWidth) * Sections[Sect].Width) - 1
        else
          G.ColWidths[Col + I] := Trunc((G.ColWidths[Col + I] /
            ColsToJoinWidth) * Sections[Sect].Width) - 1;

to:

        if EqualSize then
          G.ColWidths[Col + I] := Trunc((ColsToJoinWidth / ColsToJoin /
            ColsToJoinWidth) * Sections[Sect].Width) - G.GridLineWidth
        else
          G.ColWidths[Col + I] := Trunc((G.ColWidths[Col + I] /
            ColsToJoinWidth) * Sections[Sect].Width) - G.GridLineWidth;

 
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008770)
obones (administrator)
2006-03-30 08:05

This is pending CVS issues resolution at Sourceforge to be added
(0008928)
obones (administrator)
2006-04-05 01:19

This is now in CVS

- Issue History
Date Modified Username Field Change
2005-05-17 01:32 khoffrath New Issue
2005-05-17 01:33 khoffrath Issue Monitored: khoffrath
2006-03-30 08:05 obones Note Added: 0008770
2006-03-30 08:05 obones Status new => confirmed
2006-04-05 01:19 obones Status confirmed => resolved
2006-04-05 01:19 obones Resolution open => fixed
2006-04-05 01:19 obones Assigned To => obones
2006-04-05 01:19 obones Note Added: 0008928


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker